datablock AudioProfile(SkeletalDeathExplosionSound)
{
   filename    = "base/data/sound/breakBrick.wav";
   description = AudioClosest3d;
   preload = false;
};

datablock ShapeBaseImageData(skeleribImage)
{
	shapeFile = "./skelerib.dts";
	emap = false;
	mountPoint = 2;
	offset = "0 0 -0.6";
	eyeOffset = "0 0 0.4";
	rotation = eulerToMatrix("0 0 0");
	scale = "1 1 1";
	doColorShift = false;
	colorShiftColor = "0.000 0.500 0.250 1.000";
};

datablock DebrisData(skeleheadDebris)
{
   shapeFile = "./skelehead.dts";
   lifetime = 6.0;
   minSpinSpeed = -400.0;
   maxSpinSpeed = 200.0;
   elasticity = 0.5;
   friction = 0.2;
   numBounces = 3;
   staticOnMaxBounce = true;
   snapOnMaxBounce = false;
   fade = true;
   gravModifier = 2;
};
datablock DebrisData(handDebris : headDebris)
{
   shapeFile = "./hand.dts";
   lifetime = 6.0;
   minSpinSpeed = -400.0;
   maxSpinSpeed = 200.0;
   elasticity = 0.5;
   friction = 0.2;
   numBounces = 3;
   staticOnMaxBounce = true;
   snapOnMaxBounce = false;
   fade = true;
   gravModifier = 2;
};
datablock DebrisData(handLeftDebris : headDebris)
{
   shapeFile = "./handLeft.dts";
   lifetime = 6.0;
   minSpinSpeed = -400.0;
   maxSpinSpeed = 200.0;
   elasticity = 0.5;
   friction = 0.2;
   numBounces = 3;
   staticOnMaxBounce = true;
   snapOnMaxBounce = false;
   fade = true;
   gravModifier = 2;
};
datablock DebrisData(skeleshoulderDebris : headDebris)
{
   shapeFile = "./skeleshoulder.dts";
   lifetime = 6.0;
   minSpinSpeed = -400.0;
   maxSpinSpeed = 200.0;
   elasticity = 0.5;
   friction = 0.2;
   numBounces = 3;
   staticOnMaxBounce = true;
   snapOnMaxBounce = false;
   fade = true;
   gravModifier = 2;
};
datablock DebrisData(footDebris : headDebris)
{
   shapeFile = "./foot.dts";
   lifetime = 6.0;
   minSpinSpeed = -400.0;
   maxSpinSpeed = 200.0;
   elasticity = 0.5;
   friction = 0.2;
   numBounces = 3;
   staticOnMaxBounce = true;
   snapOnMaxBounce = false;
   fade = true;
   gravModifier = 2;
};
datablock ExplosionData(SkeletalDeathExplosion1)
{
   lifetimeMS = 33;
   particleEmitter = "";
   debrisNumVariance      = 0;
   debrisPhiMin           = 0;
   debrisPhiMax           = 360;
   debrisThetaMin         = 5;
   debrisThetaMax         = 105;
   debrisVelocity         = 5;
   debrisVelocityVariance = 1;

   debris = skeleheadDebris;
   debrisNum = 0;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = false;

   lightStartRadius = 0;
   lightEndRadius = 0;

   impulseRadius = 100;
   impulseForce = 100;

   radiusDamage = 0;
   damageRadius = 0;
};
datablock ExplosionData(SkeletalDeathExplosion2 : SkeletalDeathExplosion1)
{
   debris = footDebris;
   debrisNum = 2;
};
datablock ExplosionData(SkeletalDeathExplosion3 : SkeletalDeathExplosion1)
{
   debris = skeleshoulderDebris;
   debrisNum = 2;
};
datablock ExplosionData(SkeletalDeathExplosion4 : SkeletalDeathExplosion1)
{
   debris = handDebris;
   debrisNum = 1;
};
datablock ExplosionData(SkeletalDeathExplosion5 : SkeletalDeathExplosion1)
{
   debris = handLeftDebris;
   debrisNum = 1;
};
datablock ExplosionData(SkeletalDeathExplosion : SkeletalDeathExplosion1)
{
   lifeTimeMS = 500;

   //particleEmitter = "";
   particleDensity = 45;
   particleRadius  = 2.5;

   debris = skeleheadDebris;
   debrisNum = 1;

   soundProfile = SkeletalDeathExplosionSound;

   //emitter[0] = "";

   subExplosion[0] = SkeletalDeathExplosion1;
   subExplosion[1] = SkeletalDeathExplosion2;
   subExplosion[2] = SkeletalDeathExplosion3;
   subExplosion[3] = SkeletalDeathExplosion4;
   subExplosion[4] = SkeletalDeathExplosion5;
};

datablock ProjectileData(SkeletalDeathExplosionProjectile)
{
   projectileShapeName = "base/data/shapes/empty.dts";
   directDamage     = 10;
   directDamageType = $DamageType::Default; //Damagetype default actually does no damage
   radiusDamageType = $DamageType::Default;
   impactImpulse    = 10;
   verticalImpulse  = 10;
   explosion        = SkeletalDeathExplosion;

   brickExplosionRadius            = 0;
   brickExplosionImpact            = false; 
   brickExplosionForce             = 0;
   brickExplosionMaxVolume         = 0;
   brickExplosionMaxVolumeFloating = 0;

   muzzleVelocity   = 1;
   velInheritFactor = 1;

   lifetime         = 10;
   bounceElasticity = 0;
   bounceFriction   = 0;
   isBallistic    = false;
   explodeOnDeath = true;
   hasLight       = false;
};
package SkeletalDeath
{
   function armor::onDisabled(%data, %obj, %enabled)
   {
      %obj.hideNode("ALL");
      %obj.mountimage(skeleribImage,2);
      %obj.unMountImage(0);
      %obj.unMountImage(1);
      %proj = new Projectile()
      {
         scale = %obj.getScale();
         dataBlock = SkeletalDeathExplosionProjectile;
         initialVelocity = %obj.getVelocity();
         initialPosition = %obj.getPosition();
         sourceObject = %obj;
         sourceSlot = 0;
         client = %obj.client;
      };
      MissionCleanup.add(%proj);
      %z = getWord(%obj.getScale(),2);
      Parent::onDisabled(%data, %obj, %enabled);
   }
};
activatePackage(SkeletalDeath);